pub mod lights;
pub mod models;

use crate::config::Config;
use eyre::Result;
use reqwest::{header, Client};
use std::time::Duration;

pub fn get_client(config: &Config) -> Result<Client> {
    let mut headers = header::HeaderMap::new();
    headers.insert(
        "hue-application-key",
        header::HeaderValue::from_str(config.token.as_str())?,
    );

    let client = reqwest::Client::builder()
        .use_native_tls()
        .danger_accept_invalid_certs(true)
        .default_headers(headers)
        .timeout(Duration::from_secs(3))
        .build()?;

    Ok(client)
}
