use crate::api;
use crate::config::Config;
use eyre::Result;

pub async fn exec(config: Config, id: &String) -> Result<()> {
    let lights = api::lights::all(config).await?;

    if let Some(light) = lights.into_iter().find(|x| x.id == *id) {
        println!(
            r#"
        === {} ===
        Mode: {}
        "#,
            light.metadata.name, light.mode
        )
    } else {
        println!("Light not found")
    }

    Ok(())
}
